Memcached::getAllKeys
Memcached::getDelayed
Memcached
PHP Manual

# Memcached::getByKey

Retrieve an item from a specific server

### Description

public mixed Memcached::getByKey ( string `$server_key` , string `$key` [, callable `$cache_cb` [, float `&$cas_token` ]] )

Memcached::getByKey is functionally equivalent to Memcached::get, except that the free-form `server_key` can be used to map the `key` to a specific server.

### Parameters

`server_key`

  The key identifying the server to store the value on or retrieve it from. Instead of hashing on the actual key for the item, we hash on the server key when deciding which memcached server to talk to. This allows related items to be grouped together on a single server for efficiency with multi operations.

`key`

  The key of the item to fetch.

`cache_cb`

  Read-through caching callback or `NULL`

`cas_token`

  The variable to store the CAS token in.

### Return Values

Returns the value stored in the cache or `FALSE` otherwise. The Memcached::getResultCode will return `Memcached::RES_NOTFOUND` if the key does not exist.

### See Also

- Memcached::get
- Memcached::getMulti
- Memcached::getDelayed